---
license: Licensed to the Apache Software Foundation (ASF) under one
         or more contributor license agreements.  See the NOTICE file
         distributed with this work for additional information
         regarding copyright ownership.  The ASF licenses this file
         to you under the Apache License, Version 2.0 (the
         "License"); you may not use this file except in compliance
         with the License.  You may obtain a copy of the License at

           http://www.apache.org/licenses/LICENSE-2.0

         Unless required by applicable law or agreed to in writing,
         software distributed under the License is distributed on an
         "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
         KIND, either express or implied.  See the License for the
         specific language governing permissions and limitations
         under the License.
---

# Plugin API

Cordova viene fornito con un set minimo di API e progetti aggiungere cosa extra API richiedono tramite plugin.

Può cercare attraverso tutti i plugin esistenti utilizzando il [Plugin Registry][1].

 [1]: http://plugins.cordova.io/

Il set tradizionale di Cordova plugin sono i seguenti:

*   [Stato della batteria][2]
    
    > Monitorare lo stato della batteria del dispositivo.

*   [Fotocamera][3]
    
    > Catturare una foto usando la fotocamera del dispositivo.

*   [Contatti][4]
    
    > Lavorare con il database di contatti di dispositivi.

*   [Dispositivo][5]
    
    > Raccogliere informazioni specifiche del dispositivo.

*   [Movimento di dispositivo (accelerometro)][6]
    
    > Sfruttare il sensore di movimento del dispositivo.

*   [Dispositivo orientamento (bussola)][7]
    
    > Ottenere la direzione che il dispositivo sta puntando.

*   [Finestre di dialogo][8]
    
    > Notifiche visive del dispositivo.

*   [FileSystem][9]
    
    > Gancio in file system nativo tramite JavaScript.

*   [Trasferimento di file][10]
    
    > Gancio in file system nativo tramite JavaScript.

*   [Geolocalizzazione][11]
    
    > Sensibilizzare la vostra sede di applicazione.

*   [Globalizzazione][12]
    
    > Attivare la rappresentazione degli oggetti specifici di una lingua.

*   [InAppBrowser][13]
    
    > Lanciare gli URL in un'altra istanza del browser in-app.

*   [Media][14]
    
    > Registrare e riprodurre file audio.

*   [Acquisizione di media][15]
    
    > Catturare i file multimediali utilizzando le applicazioni di cattura multimediale del dispositivo.

*   [Informazioni di rete (connessione)][16]
    
    > Verificare rapidamente lo stato di rete e informazioni della rete cellulare.

*   [Splashscreen][17]
    
    > Mostrare e nascondere la schermata iniziale di applicazioni.

*   [Vibrazione][18]
    
    > Un'API per vibrare il dispositivo.

 [2]: https://github.com/apache/cordova-plugin-battery-status/blob/master/doc/index.md
 [3]: https://github.com/apache/cordova-plugin-camera/blob/master/doc/index.md
 [4]: https://github.com/apache/cordova-plugin-contacts/blob/master/doc/index.md
 [5]: https://github.com/apache/cordova-plugin-device/blob/master/doc/index.md
 [6]: https://github.com/apache/cordova-plugin-device-motion/blob/master/doc/index.md
 [7]: https://github.com/apache/cordova-plugin-device-orientation/blob/master/doc/index.md
 [8]: https://github.com/apache/cordova-plugin-dialogs/blob/master/doc/index.md
 [9]: https://github.com/apache/cordova-plugin-file/blob/master/doc/index.md
 [10]: https://github.com/apache/cordova-plugin-file-transfer/blob/master/doc/index.md
 [11]: https://github.com/apache/cordova-plugin-geolocation/blob/master/doc/index.md
 [12]: https://github.com/apache/cordova-plugin-globalization/blob/master/doc/index.md
 [13]: https://github.com/apache/cordova-plugin-inappbrowser/blob/master/doc/index.md
 [14]: https://github.com/apache/cordova-plugin-media/blob/master/doc/index.md
 [15]: https://github.com/apache/cordova-plugin-media-capture/blob/master/doc/index.md
 [16]: https://github.com/apache/cordova-plugin-network-information/blob/master/doc/index.md
 [17]: https://github.com/apache/cordova-plugin-splashscreen/blob/master/doc/index.md
 [18]: https://github.com/apache/cordova-plugin-vibration/blob/master/doc/index.md

Traduzioni inglese di questi documenti di plugin si possono trovare guardando le versioni precedenti della documentazione Cordova. Utilizzare il menu a discesa a molto alto a destra di questo sito per passare le versioni.
